; /////////////////////////////////////////////////////////////////////////////
; //
; // Fidonet Mail Access: DOS System dependant routines include file
; //
; // DosMisc.inc
; //
; // Copyright (c) 1999 by Pete Kvitek
; //
; // This program is free software; you can redistribute it and/or modify
; // it under the terms of the GNU General Public License as published by
; // the Free Software Foundation; either version 2 of the License, or
; // (at your option) any later version. See GNU_GPL.TXT for details.
; //
; // Created: 04/Aug/1999
; // Updated: 04/Oct/1999
; //
; // History: 07/Jan/1990 kvitekp - Initially created for DW-TEXT project.
; //
; /////////////////////////////////////////////////////////////////////////////

		.286
		.MODEL SMALL,PASCAL
		%NOINCL

; *//////////////////////////////////////////////////////////////////////////*
; * Useful equates                                                           *
; *//////////////////////////////////////////////////////////////////////////*

NULL            equ     0
TRUE            equ     1
FALSE           equ     0
ERROR           equ     (-1)

IFDEF   ??Version
__TASM__        equ     TRUE
				masm51
				quirks
ENDIF

; *//////////////////////////////////////////////////////////////////////////*
; * Global macro definitions                                                 *
; *//////////////////////////////////////////////////////////////////////////*

		; This macro pushes the specified register list on stack

		SAVE_REGS macro regs
				irp     reg,<regs>
				push    reg
				endm
		ENDM

		; This macro pops the specified register list from stack

		REST_REGS macro regs
				irp     reg,<regs>
				pop     reg
				endm
		ENDM

		; This macro moves word via the specified register

		MOVEW   macro   reg, dest, orig
				mov     reg, word ptr orig
				mov     word ptr dest, reg
		ENDM

		; This macro moves double word via the specified register

		MOVEDW  macro   reg, dest, orig
				mov     reg, word ptr orig
				mov     word ptr dest, reg
				mov     reg, word ptr orig + 2
				mov     word ptr dest + 2, reg
		ENDM

; *//////////////////////////////////////////////////////////////////////////*
; *  End of DosMisc.inc file                                                 *
; *//////////////////////////////////////////////////////////////////////////*
